
Application: gvSIG desktop - gvSIG bugs #1641
NoClassDefFoundError: MetadataException on gvSIG start
03/01/2013 11:06 AM - Jose Manuel Vivó Arnal

Status: Won't fix % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee:
Category: Application
Target version: 2.0.0-final
Severity: Add-on version:
gvSIG version: 2.0.0 Add-on build:
gvSIG build: 2063 Add-on resolve version:
Operative System: Linux Add-on resolve build:
Keywords: Proyecto:
Has patch: No Hito:
Add-on name: Unknown
Description

I've installed gvSIG using the on-line installer gvSIG-desktop-2.0.0-2063-RC4-lin-x86-online.bin.

I've selected the advanced add-on installation and add the add-on wizard to the selected add-on list.

When I start gvSIG I get this exception in system shell (no trace in log file):

 WARN [main] (PluginClassLoader.java:201) - PluginLoaders[i] es nulo
Exception in thread "main" java.lang.reflect.InvocationTargetException
    at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
    at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
    at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
    at java.lang.reflect.Method.invoke(Method.java:597)
    at org.gvsig.andamiupdater.Updater.launchApp(Updater.java:104)
    at org.gvsig.andamiupdater.Updater.main(Updater.java:66)
Caused by: java.util.ServiceConfigurationError: org.gvsig.tools.library.Library: Provider
org.gvsig.dwg.fmap.dal.store.dwg.DWGLibrary could not be instantiated: java.lang.NoClassDefFoundError:
org/gvsig/metadata/exceptions/MetadataException
    at java.util.ServiceLoader.fail(ServiceLoader.java:207)
    at java.util.ServiceLoader.access$100(ServiceLoader.java:164)
    at java.util.ServiceLoader$LazyIterator.next(ServiceLoader.java:360)
    at java.util.ServiceLoader$1.next(ServiceLoader.java:428)
    at org.gvsig.tools.util.impl.DefaultServiceLoader.postJDK16Load(DefaultServiceLoader.java:222)
    at org.gvsig.tools.util.impl.DefaultServiceLoader.load(DefaultServiceLoader.java:100)
    at org.gvsig.tools.library.impl.DefaultLibrariesInitializer.findLibraries(DefaultLibrariesInitializer.java:76)
    at org.gvsig.tools.library.AbstractLibrariesInitializer.addLibrariesOfClassLoader(AbstractLibrariesInitializer.java:150)
    at org.gvsig.tools.library.AbstractLibrariesInitializer.loadLibraries(AbstractLibrariesInitializer.java:134)
    at org.gvsig.tools.library.AbstractLibrariesInitializer.initialize(AbstractLibrariesInitializer.java:83)
    at org.gvsig.tools.library.AbstractLibrariesInitializer.fullInitialize(AbstractLibrariesInitializer.java:113)
    at org.gvsig.andami.Launcher.initializeLibraries(Launcher.java:604)
    at org.gvsig.andami.Launcher.doMain(Launcher.java:410)
    at org.gvsig.andami.Launcher.main(Launcher.java:256)
    ... 6 more
Caused by: java.lang.NoClassDefFoundError: org/gvsig/metadata/exceptions/MetadataException
    at java.lang.Class.getDeclaredConstructors0(Native Method)
    at java.lang.Class.privateGetDeclaredConstructors(Class.java:2389)
    at java.lang.Class.getConstructor0(Class.java:2699)
    at java.lang.Class.newInstance0(Class.java:326)
    at java.lang.Class.newInstance(Class.java:308)
    at java.util.ServiceLoader$LazyIterator.next(ServiceLoader.java:356)
    ... 17 more
Caused by: java.lang.ClassNotFoundException: Class org.gvsig.metadata.exceptions.MetadataException not found through
the plugin /home/jmvivo/software/java/gvSIG-desktop-2.0.0-2063/gvSIG/extensiones/org.gvsig.dwg.extension
    at org.gvsig.andami.plugins.PluginClassLoader.loadClass(PluginClassLoader.java:271)
    at java.lang.ClassLoader.loadClass(ClassLoader.java:247)
    ... 23 more
Caused by: java.lang.ClassNotFoundException: org.gvsig.metadata.exceptions.MetadataException
    at org.gvsig.andami.plugins.PluginClassLoader.loadOtherClass(PluginClassLoader.java:302)
    at org.gvsig.andami.plugins.PluginClassLoader.loadClass(PluginClassLoader.java:266)
    ... 24 more

Attach system shell out.

History
#1 - 03/04/2013 03:04 PM - Joaquín  del Cerro Murciano

No tengo nada claro que es lo que te ha podido pasar, pero la instalacion que estas usando esta "dañada". Le faltan varios plugins criticos, entre ellos
el de "org.gvsig.app".

Voy a ver si soy capaz de reproducir lo que te ha pasado durante la instalacion.

#2 - 03/04/2013 03:04 PM - Joaquín  del Cerro Murciano
- Target version set to 2.0.0-final

#3 - 01/13/2014 01:23 PM - Álvaro Anguix
- Status changed from New to Won't fix

Files
gvsig.out.txt 20.4 KB 03/01/2013 Jose Manuel Vivó Arnal
